{% extends '_base.html' %}
{% load static %}

{% block title %} Contract Type List {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Contract Types
        </p>
        <p class="subtitle">
            List of all contract types
        </p>
        <a class="button is-danger" href="{% url 'contract_template_new' %}">New Contract Type</a>
    </div>
</section>

<div class="column is-10 is-offset-1">
    <div class="section">
        <h1 class="title">Contract Types</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>Type Name</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {% for con in contract_templates %}
                <tr>
                    <td> {{con.type}} </td>
                    <td>
                        <div class="field has-addons">
                            <p class="control">
                                <a class="button is-link is-outlined" href="{% url 'contract_template_view' con.id %}">
                                    <span>View</span>
                                </a>
                            </p>
                            <p class="control">
                                <a class="button is-info is-outlined" href="{% url 'contract_template_edit' con.id %}">
                                    <span>Edit</span>
                                </a>
                            </p>
                            <p class="control">
                                <a class="button is-danger is-outlined" href="{% url 'contract_template_delete' con.id %}">
                                    <span>Delete</span>
                                </a>
                            </p>
                        </div>
                    </td>
                </tr>
                </a>
                {% endfor %}
            </tbody>
        </table>
    </div>
</div>

{% endblock %}